namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Tinted Lens is an ability that doubles the damage of not very effective moves.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Tinted_Lens_(Ability)">Bulbapedia - Tinted Lens</see>
/// </summary>
[Script(ScriptCategory.Ability, "tinted_lens")]
public class TintedLens : Script, IScriptChangeMoveDamage
{
    /// <inheritdoc />
    public void ChangeMoveDamage(IExecutingMove move, IPokemon target, byte hit, ref uint damage)
    {
        if (move.GetHitData(target, hit).Effectiveness < 1.0f)
        {
            damage = damage.MultiplyOrMax(2);
        }
    }
}